Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core
Interface ICodeCompletionRequestor

Deprecated. Use `CompletionRequestor` instead.

public interface ICodeCompletionRequestor

A completion requestor accepts results as they are computed and is aware of source positions to complete the various different results.

This interface may be implemented by clients.

See Also:
  `ICodeAssist`

Method Summary
`void` | `acceptClass(char[] packageName, char[] className, char[] completionName, int modifiers, int completionStart, int completionEnd)` Deprecated. Code assist notification of a class completion.
`void` | `acceptError(IMarker marker)` Deprecated. Code assist notification of a compilation error detected during completion.
`void` | `acceptField(char[] declaringTypePackageName, char[] declaringTypeName, char[] name, char[] typePackageName, char[] typeName, char[] completionName, int modifiers, int completionStart, int completionEnd)` Deprecated. Code assist notification of a field completion.
`void` | `acceptInterface(char[] packageName, char[] interfaceName, char[] completionName, int modifiers, int completionStart, int completionEnd)` Deprecated. Code assist notification of an interface completion.
`void` | `acceptKeyword(char[] keywordName, int completionStart, int completionEnd)` Deprecated. Code assist notification of a keyword completion.
`void` | `acceptLabel(char[] labelName, int completionStart, int completionEnd)` Deprecated. Code assist notification of a label completion.
`void` | `acceptLocalVariable(char[] name, char[] typePackageName, char[] typeName, int modifiers, int completionStart, int completionEnd)` Deprecated. Code assist notification of a local variable completion.
`void` | `acceptMethod(char[] declaringTypePackageName, char[] declaringTypeName, char[] selector, char[][] parameterPackageNames, char[][] parameterTypeNames, char[] returnTypePackageName, char[] returnTypeName, char[] completionName, int modifiers, int completionStart, int completionEnd)` Deprecated. Code assist notification of a method completion.
`void` | `acceptModifier(char[] modifierName, int completionStart, int completionEnd)` Deprecated. Code assist notification of a modifier completion.
`void` | `acceptPackage(char[] packageName, char[] completionName, int completionStart, int completionEnd)` Deprecated. Code assist notification of a package completion.
`void` | `acceptType(char[] packageName, char[] typeName, char[] completionName, int completionStart, int completionEnd)` Deprecated. Code assist notification of a type completion.

Method Detail

### acceptClass

    public void acceptClass(char[] packageName,
                            char[] className,
                            char[] completionName,
                            int modifiers,
                            int completionStart,
                            int completionEnd)

  Deprecated.
  Code assist notification of a class completion.

  Parameters:
    `packageName` - Declaring package name of the class.
    `className` - Name of the class.
    `completionName` - The completion for the class. Can include ';' for imported classes.
    `modifiers` - The modifiers of the class.
    `completionStart` - The start position of insertion of the name of the class.
    `completionEnd` - The end position of insertion of the name of the class. NOTE - All package and type names are presented in their readable form: Package names are in the form "a.b.c". Nested type names are in the qualified form "A.M". The default package is represented by an empty array.

### acceptError

    public void acceptError(IMarker marker)

  Deprecated.
  Code assist notification of a compilation error detected during completion.

  Parameters:
    `marker` - Only problems which are categorized as errors are notified to the requestor, warnings are silently ignored. In case an error got signaled, no other completions might be available, therefore the problem message should be presented to the user. The source positions of the problem are related to the source where it was detected (might be in another compilation unit, if it was indirectly requested during the code assist process). Note: the problem knows its originating file name.

### acceptField

    public void acceptField(char[] declaringTypePackageName,
                            char[] declaringTypeName,
                            char[] name,
                            char[] typePackageName,
                            char[] typeName,
                            char[] completionName,
                            int modifiers,
                            int completionStart,
                            int completionEnd)

  Deprecated.
  Code assist notification of a field completion.

  Parameters:
    `declaringTypePackageName` - Name of the package in which the type that contains this field is declared.
    `declaringTypeName` - Name of the type declaring this new field.
    `name` - Name of the field.
    `typePackageName` - Name of the package in which the type of this field is declared.
    `typeName` - Name of the type of this field.
    `completionName` - The completion for the field.
    `modifiers` - The modifiers of this field.
    `completionStart` - The start position of insertion of the name of this field.
    `completionEnd` - The end position of insertion of the name of this field. NOTE - All package and type names are presented in their readable form: Package names are in the form "a.b.c". Base types are in the form "int" or "boolean". Array types are in the qualified form "M[]" or "int[]". Nested type names are in the qualified form "A.M". The default package is represented by an empty array.

### acceptInterface

    public void acceptInterface(char[] packageName,
                                char[] interfaceName,
                                char[] completionName,
                                int modifiers,
                                int completionStart,
                                int completionEnd)

  Deprecated.
  Code assist notification of an interface completion.

  Parameters:
    `packageName` - Declaring package name of the interface.
    `interfaceName` - Name of the interface.
    `completionName` - The completion for the interface. Can include ';' for imported interfaces.
    `modifiers` - The modifiers of the interface.
    `completionStart` - The start position of insertion of the name of the interface.
    `completionEnd` - The end position of insertion of the name of the interface. NOTE - All package and type names are presented in their readable form: Package names are in the form "a.b.c". Nested type names are in the qualified form "A.M". The default package is represented by an empty array.

### acceptKeyword

    public void acceptKeyword(char[] keywordName,
                              int completionStart,
                              int completionEnd)

  Deprecated.
  Code assist notification of a keyword completion.

  Parameters:
    `keywordName` - The keyword source.
    `completionStart` - The start position of insertion of the name of this keyword.
    `completionEnd` - The end position of insertion of the name of this keyword.

### acceptLabel

    public void acceptLabel(char[] labelName,
                            int completionStart,
                            int completionEnd)

  Deprecated.
  Code assist notification of a label completion.

  Parameters:
    `labelName` - The label source.
    `completionStart` - The start position of insertion of the name of this label.
    `completionEnd` - The end position of insertion of the name of this label.

### acceptLocalVariable

    public void acceptLocalVariable(char[] name,
                                    char[] typePackageName,
                                    char[] typeName,
                                    int modifiers,
                                    int completionStart,
                                    int completionEnd)

  Deprecated.
  Code assist notification of a local variable completion.

  Parameters:
    `name` - Name of the new local variable.
    `typePackageName` - Name of the package in which the type of this new local variable is declared.
    `typeName` - Name of the type of this new local variable.
    `modifiers` - The modifiers of this new local variable.
    `completionStart` - The start position of insertion of the name of this new local variable.
    `completionEnd` - The end position of insertion of the name of this new local variable. NOTE - All package and type names are presented in their readable form: Package names are in the form "a.b.c". Base types are in the form "int" or "boolean". Array types are in the qualified form "M[]" or "int[]". Nested type names are in the qualified form "A.M". The default package is represented by an empty array.

### acceptMethod

    public void acceptMethod(char[] declaringTypePackageName,
                             char[] declaringTypeName,
                             char[] selector,
                             char[][] parameterPackageNames,
                             char[][] parameterTypeNames,
                             char[] returnTypePackageName,
                             char[] returnTypeName,
                             char[] completionName,
                             int modifiers,
                             int completionStart,
                             int completionEnd)

  Deprecated.
  Code assist notification of a method completion.

  Parameters:
    `declaringTypePackageName` - Name of the package in which the type that contains this new method is declared.
    `declaringTypeName` - Name of the type declaring this new method.
    `selector` - Name of the new method.
    `parameterPackageNames` - Names of the packages in which the parameter types are declared. Should contain as many elements as parameterTypeNames.
    `parameterTypeNames` - Names of the parameters types. Should contain as many elements as parameterPackageNames.
    `returnTypePackageName` - Name of the package in which the return type is declared.
    `returnTypeName` - Name of the return type of this new method, should be `null` for a constructor.
    `completionName` - The completion for the method. Can include zero, one or two brackets. If the closing bracket is included, then the cursor should be placed before it.
    `modifiers` - The modifiers of this new method.
    `completionStart` - The start position of insertion of the name of this new method.
    `completionEnd` - The end position of insertion of the name of this new method. NOTE - All package and type names are presented in their readable form: Package names are in the form "a.b.c". Base types are in the form "int" or "boolean". Array types are in the qualified form "M[]" or "int[]". Nested type names are in the qualified form "A.M". The default package is represented by an empty array. NOTE: parameter names can be retrieved from the source model after the user selects a specific method.

### acceptModifier

    public void acceptModifier(char[] modifierName,
                               int completionStart,
                               int completionEnd)

  Deprecated.
  Code assist notification of a modifier completion.

  Parameters:
    `modifierName` - The new modifier.
    `completionStart` - The start position of insertion of the name of this new modifier.
    `completionEnd` - The end position of insertion of the name of this new modifier.

### acceptPackage

    public void acceptPackage(char[] packageName,
                              char[] completionName,
                              int completionStart,
                              int completionEnd)

  Deprecated.
  Code assist notification of a package completion.

  Parameters:
    `packageName` - The package name.
    `completionName` - The completion for the package. Can include '.*;' for imports.
    `completionStart` - The start position of insertion of the name of this new package.
    `completionEnd` - The end position of insertion of the name of this new package. NOTE - All package names are presented in their readable form: Package names are in the form "a.b.c". The default package is represented by an empty array.

### acceptType

    public void acceptType(char[] packageName,
                           char[] typeName,
                           char[] completionName,
                           int completionStart,
                           int completionEnd)

  Deprecated.
  Code assist notification of a type completion.

  Parameters:
    `packageName` - Declaring package name of the type.
    `typeName` - Name of the type.
    `completionName` - The completion for the type. Can include ';' for imported types.
    `completionStart` - The start position of insertion of the name of the type.
    `completionEnd` - The end position of insertion of the name of the type. NOTE - All package and type names are presented in their readable form: Package names are in the form "a.b.c". Nested type names are in the qualified form "A.M". The default package is represented by an empty array.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.